Skip to main content
`Ctrl`+`K`

# SNESFASSetNumberSmoothUp

Sets the number of post-smoothing steps to use on all levels.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetNumberSmoothUp(SNES snes, PetscInt n)

Logically Collective

## Input Parameters

- snes - the `SNES` nonlinear multigrid context

- n - the number of smoothing steps to use

## Options Database Key

- -snes_fas_smoothup n - Sets number of pre-smoothing steps

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetNumberSmoothDown()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages